package com.hezongjian;


//import com.hezongjian.PhotoAdapter.PhotoEnumTask;

import android.app.*;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.*;

public class PhotoEnumActivity extends ListActivity{

	PhotoAdapter mAdapter;

	
	@Override
	public void onCreate(Bundle savedInstanceState) {
	  super.onCreate(savedInstanceState);
	  
	  this.requestWindowFeature(Window.FEATURE_INDETERMINATE_PROGRESS);

	  // use a custom view
	  this.setContentView(R.layout.photoenum);
	  
	  
	  // set adapter.
	  mAdapter = new PhotoAdapter(this);
	  this.setListAdapter(mAdapter);

	  ListView lv = this.getListView();

	  // multiple choice
	  lv.setItemsCanFocus(false);
	  lv.setChoiceMode(ListView.CHOICE_MODE_MULTIPLE);
	  
	  // set empty view.
	  lv.setEmptyView(findViewById(R.id.empty));
	  
	  lv.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {

		public void onItemSelected(AdapterView<?> parent, View view, int position,
				long id) {
			Toast.makeText(view.getContext(), "you clicked: " + position, Toast.LENGTH_SHORT);
			
		}

		public void onNothingSelected(AdapterView<?> arg0) {
		}
	});

        /*
	  // register button click handler.
	  Button search = (Button)this.findViewById(R.id.search);
	  
	  search.setOnClickListener(new View.OnClickListener() {

            public void onClick(View v) {
                //mAdapter.searchGooglePhoto();
            	//PhotoEnumActivity.this.showDialog(0);
            	
            	//showDialog(1);
            	//PhotoEnumActivity.this.setProgressBarIndeterminateVisibility(true);
            	
            	EditText et = (EditText)PhotoEnumActivity.this.findViewById(R.id.searchbox);
            	            	
            	PhotoEnumTask tsk = mAdapter.new PhotoEnumTask();
            	tsk.execute(et.getText().toString());
            	
            } });
            */
	}
	
}
