package com.hezongjian;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.*;
import android.preference.Preference.*;
import android.view.*;
import android.content.*;
import android.os.*;
import android.net.*;


/**
 * Created by hezongjian on 5/28/13.
 */
public class SettingActivity extends PreferenceActivity {
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.addPreferencesFromResource(R.xml.pref);

        // update UI
        ListPreference myPref = (ListPreference) findPreference("game_type");
        SharedPreferences sp = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        int index = myPref.findIndexOfValue(sp.getString("game_type", "1"));
        myPref.setSummary(index >= 0 ? myPref.getEntries()[index]: null);


        myPref.setOnPreferenceChangeListener(new OnPreferenceChangeListener() {
            @Override
            public boolean onPreferenceChange(Preference preference, Object o) {

                if(preference instanceof ListPreference) {

                    //SharedPreferences sp = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
                    int type = Integer.parseInt(o.toString());

                    ListPreference listPreference = (ListPreference) preference;
                    int index = listPreference.findIndexOfValue(o.toString());

                    // Set the summary to reflect the new value.
                    preference.setSummary(index >= 0 ? listPreference.getEntries()[index]: null);


                    // Set the Render.
                    GameCore.getInstance().setRender(getApplicationContext(), type);


                    // finally restart it.
                    GameCore.getInstance().restart();
                }

                return true;
            }
        });


        // Rate US on Google Play.
        Preference pAbout = findPreference("about");
        pAbout.setOnPreferenceClickListener(new OnPreferenceClickListener() {
            @Override
            public boolean onPreferenceClick(Preference preference) {
                Uri uri = Uri.parse("market://details?id=" + getApplicationContext().getPackageName());
                Intent goToMarket = new Intent(Intent.ACTION_VIEW, uri);
                goToMarket.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                try {
                    getApplicationContext().startActivity(goToMarket);
                } catch (ActivityNotFoundException e) {
                    e.printStackTrace();
                }
                return true;
            }
        });



    }
}